import { FilterExpression } from "./FilterExpression";
import { DataSourceSchemaPropertyType } from "./DataSourceSchemaPropertyType";
import { Base, Type } from "./type";
export declare class FilterFactory extends Base {
    private static a4;
    static readonly a5: FilterFactory;
    static c(a: (b: FilterFactory) => FilterExpression): FilterExpression;
    aj(a: string): FilterExpression;
    aa(a: any): FilterExpression;
    s(a: FilterExpression): FilterExpression;
    b(a: FilterExpression, b: FilterExpression): FilterExpression;
    ai(a: FilterExpression, b: FilterExpression): FilterExpression;
    af(a: FilterExpression): FilterExpression;
    a(a: FilterExpression, b: FilterExpression): FilterExpression;
    l(a: FilterExpression, b: FilterExpression): FilterExpression;
    o(a: FilterExpression, b: FilterExpression): FilterExpression;
    q(a: FilterExpression, b: FilterExpression): FilterExpression;
    r(a: FilterExpression, b: FilterExpression): FilterExpression;
    y(a: FilterExpression, b: FilterExpression): FilterExpression;
    z(a: FilterExpression, b: FilterExpression): FilterExpression;
    ac(a: FilterExpression, b: FilterExpression): FilterExpression;
    ae(a: FilterExpression, b: FilterExpression): FilterExpression;
    ag(a: FilterExpression, b: FilterExpression): FilterExpression;
    ay(a: FilterExpression, b: FilterExpression): FilterExpression;
    e(a: FilterExpression): FilterExpression;
    f(a: FilterExpression, b: FilterExpression): FilterExpression;
    g(a: FilterExpression, b: string): FilterExpression;
    h(a: FilterExpression, b: FilterExpression): FilterExpression;
    i(a: FilterExpression, b: string): FilterExpression;
    k(a: FilterExpression): FilterExpression;
    m(a: FilterExpression, b: FilterExpression): FilterExpression;
    n(a: FilterExpression, b: string): FilterExpression;
    p(a: FilterExpression): FilterExpression;
    t(a: FilterExpression): FilterExpression;
    u(a: FilterExpression, b: FilterExpression): FilterExpression;
    v(a: FilterExpression, b: string): FilterExpression;
    x(a: FilterExpression): FilterExpression;
    ab(a: FilterExpression): FilterExpression;
    ad(a: FilterExpression): FilterExpression;
    ak(a: FilterExpression, b: FilterExpression, c: FilterExpression): FilterExpression;
    am(a: FilterExpression, b: string, c: FilterExpression): FilterExpression;
    al(a: FilterExpression, b: FilterExpression, c: string): FilterExpression;
    an(a: FilterExpression, b: string, c: string): FilterExpression;
    ao(a: FilterExpression): FilterExpression;
    ap(a: FilterExpression): FilterExpression;
    aq(a: FilterExpression, b: FilterExpression): FilterExpression;
    ar(a: FilterExpression, b: string): FilterExpression;
    as(a: FilterExpression, b: FilterExpression): FilterExpression;
    av(a: FilterExpression, b: number): FilterExpression;
    at(a: FilterExpression, b: FilterExpression, c: FilterExpression): FilterExpression;
    aw(a: FilterExpression, b: number, c: FilterExpression): FilterExpression;
    au(a: FilterExpression, b: FilterExpression, c: number): FilterExpression;
    ax(a: FilterExpression, b: number, c: number): FilterExpression;
    a0(a: FilterExpression): FilterExpression;
    a1(a: FilterExpression): FilterExpression;
    a2(a: FilterExpression): FilterExpression;
    a3(a: FilterExpression): FilterExpression;
    j(a: FilterExpression): FilterExpression;
    az(a: FilterExpression): FilterExpression;
    ah(): FilterExpression;
    w(a: FilterExpression, b: DataSourceSchemaPropertyType): FilterExpression;
    d(a: FilterExpression, b: DataSourceSchemaPropertyType): FilterExpression;
    static $t: Type;
}
